%global majorversion 0.4

Name:           xfce4-mpc-plugin
Version:        0.4.2
Release:        1%{?dist}
Summary:        MPD client for the Xfce panel

Group:          User Interface/Desktops
License:        ISC
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{majorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig(libxfce4panel-1.0) >= 4.8.0
BuildRequires:  pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:  pkgconfig(exo-1) >= 0.5.0
BuildRequires:  pkgconfig(libmpd) >= 0.12
BuildRequires:  gettext, intltool
# because of Patch0
BuildRequires:  xfce4-dev-tools
Requires:       xfce4-panel >= 4.6.0

%description
A simple client plugin for MPD, the Music Player Daemon.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}

# FIXME: make lib executable so it gets stripped (#795107)
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME: add NEWS when there are some
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop


%changelog
* Mon Feb 20 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Sun Feb 19 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-2
- Make library executable so it gets stripped (#795107)

* Tue Feb 15 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sun Feb 12 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0
- Drop obsolete patch for exo and libxfce4ui

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3.5-4
- Rebuild for new libpng

* Sun Mar 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-3
- Patch for xfce4-panel 4.8 (bugzilla.xfce-org #6623)
- Update icon-cache scriptlets

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5

* Wed Nov 25 2009 Adrian Reber <adrian@lisas.de> - 0.3.4-2
- Rebuild for libmpd 0.19.0

* Wed Nov 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.3-4
- Rebuild for libmpd 0.18.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.3-2
- Rebuild for Xfce 4.6 (Beta 3)

* Fri Jul 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3 on Xfce 4.4.2

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-2
- Rebuild for Xfce 4.4.1

* Sat Feb 03 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0 on Xfce 4.4

* Sat Nov 11 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sat Sep 23 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Initial Fedora package
